package models

import (
	"time"
)

type CmProjectMessage struct {
	Id           int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	ProjectId    int       `xorm:"not null default 0 comment('项目ID') INT(11)"`
	BidsectionId int       `xorm:"not null default 0 comment('标段ID') INT(11)"`
	AccountId    int       `xorm:"not null default 0 comment('账号ID') INT(11)"`
	DataType     int       `xorm:"not null default 1 comment('数据类型(1安全2质量)') TINYINT(1)"`
	DataId       int       `xorm:"comment('数据ID') INT(11)"`
	Title        string    `xorm:"comment('消息标题') VARCHAR(255)"`
	Content      string    `xorm:"comment('消息内容') TEXT"`
	CreateTime   time.Time `xorm:"comment('创建时间') DATETIME"`
}
